Subject: Re: Re: RE: [dhcwg] A question about processing a RENEW message from a clientin DHCPv6.

From: HYUN WOOK CHA <[email-masked]>
Date: Tue, 01 May 2007 01:29:58 +0000 (GMT)

Dear, Mr. Hankins.

Thank you for your clarifications.

According to your opinion, if a client MUST renew all addresses which are not released or declined, Must server check that RENEW message from client include all addresses associated with the IA and discard the RENEW message with missing address option?
I think that if all previous DECLINE or RELEASE messages failed to deliver to the server, following RENEW messages are discarded by the server. 
In my opinion, the following can be another option.
When server receives a RENEW message which does not include all addresses assigned to the client by it, it considers that the client uses only addresses included in the RENEW message, and refuses(or ignore) or releases other addresses. Then, server releases those address from IA binding immeidately or keep during only their lifetimes without refreshing. And REPLY message that server sends includes only refreshed addresses and additional new addresses if any. 

Regards, 

Joseph HyunWook Cha

"For you, O God, tested us; you refined us like silver."

Software Engineer 
Development Part 1. I/Infra  
Network System Division 
Tel 031-279-3804  Mobile 010-3024-3804

------- Original Message -------
Sender : David W. Hankins<[email-masked]> 
Date   : 2007-05-01 00:54
Title  : Re: RE: [dhcwg] A question about processing a RENEW message from a
 clientin DHCPv6.

On Sun, Apr 29, 2007 at 10:26:18PM -0400, Bernie Volz (volz) wrote:
> And, the server still has the leases (ie, we assume the valid lifetime has not expired). And if there are no server policies that conflict with them being used and renewed, what's wrong with the server renewing them and sending them to the client?
> 
> The worst is that the client will ignore them like it did previously.

If we get into a situation where the DHCP server is sending addresses
the client is ignoring, then DDNS updates get a lot less reliable.

> Note also that the RFC 3315 langague you quoted does not include a MUST. And, also note the language in 18.1.8. Receipt of Reply Messages which clearly indicates that a server may return additional addresses for a Request, Renew, or Rebind.

I don't like this answer.  If a client releases an address it
"doesn't want" for whatever reason, then the server will offer
more addresses in the next exchange which it probably "doesn't
want" either.

This quickly looks like an infinite loop.

The real answer I think is that a client has no choice in the matter,
and "MUST" bind and keep all addresses the server gives.

So if you want a client to move off an address, that decision can only
be made at the server.

> -----Original Message-----
> From: ������ [mailto:[email-masked]] 
> Sent: Sunday, April 29, 2007 10:11 PM
> To: Bernie Volz (volz); [email-masked]
> Subject: Fwd: RE: [dhcwg] A question about processing a RENEW message from a clientin DHCPv6.
> 
> If client determines to use only one of addresses provided by server or knows that any address is not on-link from RA,

I think it would be a mistake not to use an address that is given
by the server and is not covered by a prefix announcement in any RA.

It's been stipulated that there may exist networks in which there are
no routers, at least no route advertisements, and where link-local
addresses may be insufficient.

If the DHCP server is renewing invalid addresses, then that is a
misconfiguration.

-- 
David W. Hankins	"If you don't do it right the first time,
Software Engineer		you'll just have to do it again."
Internet Systems Consortium, Inc.	-- Jack T. Hankins

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg